//
// Created by william on 8/24/24.
//

#ifndef NES_EMULATOR_COMPONENT_H
#define NES_EMULATOR_COMPONENT_H

typedef struct component {
    void *ref;

    void (*render)(void *ref);

    void (*destroy)(void *ref);

    bool (*mouse_motion)(void *ref, int x, int y);

    bool (*mouse_click)(void *ref);
} Component;

#endif //NES_EMULATOR_COMPONENT_H
